#
# spec file for package ghc-optparse-applicative
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name optparse-applicative
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.13.2.0
Release:        lp150.1.8
Summary:        Utilities and combinators for parsing command line options
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-ansi-wl-pprint-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-transformers-compat-devel
BuildRequires:  ghc-transformers-devel
%if %{with tests}
BuildRequires:  ghc-QuickCheck-devel
%endif

%description
Optparse-applicative is a haskell library for parsing options on the command
line, providing a powerful applicative interface for composing these options.

optparse-applicative takes care of reading and validating the arguments passed
to the command line, handling and reporting errors, generating a usage line, a
comprehensive help screen, and enabling context-sensitive bash completions.

See the included README for detailed instructions and examples, which is also
available on github <https://github.com/pcapriotti/optparse-applicative>.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development
files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE

%files devel -f %{name}-devel.files
%doc CHANGELOG.md README.md

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Tue Mar 14 2017 psimons@suse.com
- Update to version 0.13.2.0 with cabal2obs.
* Sun Feb 12 2017 psimons@suse.com
- Update to version 0.13.1.0 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.12.1.0 revision 0 with cabal2obs.
* Wed Jan 20 2016 mimi.vx@gmail.com
- update to 0.12.1.0
  * Improve subparser contexts to improve usage error texts
  * Fixed bugs
* Wed Dec 30 2015 mimi.vx@gmail.com
- update to 0.12.0.0
  * Add "missing" error condition descriptions when required flags and arguments
    are not provided.
  * Allow multiple short flags to be concatenated together behind a single
    hyphen, e.g. "-xcf".
  * Updated dependency bounds on process and ansi-wl-pprint.
  * Add Show and Eq instances to some types for easier debugging.
  * Add defaultPrefs, a default preferences value
* Thu Nov 19 2015 mimi.vx@gmail.com
- initial commit
